#Module-Specific definitions
%define mod_version 1.0.0
%define release 0.2mdk
%define mod_name mod_xslt
%define mod_conf 25_%{mod_name}.conf
%define mod_so %{mod_name}.so
%define sourcename %{mod_name}

#New ADVX macros
%define ADVXdir %{_datadir}/ADVX
%{expand:%(cat %{ADVXdir}/ADVX-build)}
%{expand:%%global ap_version %(%{apxs} -q ap_version)}

# Standard Module Definitions
%define name %{ap_name}-%{mod_name}
%define version %{ap_version}_%{mod_version}

#Standard ADVX requires
Prereq:		%{ap_name} = %{ap_version}
Prereq:		%{ap_name}-conf
BuildPreReq:	ADVX-build >= 9.2
BuildRequires:	%{ap_name}-devel >= 2.0.44
Provides: 	ADVXpackage
Provides:	AP20package

Summary:	Mod_xslt is a DSO module for the %{ap_name} Web server.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Servers
Source0:	mod-xslt-%{mod_version}rc1.tar.bz2
Source1:	%{mod_conf}.bz2
Source2:	index.xml.bz2
Source3:	index.xsl.bz2
Patch0:		mod_xslt-1.0.5a-register.patch.bz2
License:	GPL
URL:		http://www.mod-xslt.com/
#Requires:	libxml2 libxslt1
BuildRequires:	libxml2-devel
BuildRequires:	libxslt-devel
BuildRequires:	pkgconfig
BuildRoot:	%{_tmppath}/%{name}-buildroot
Epoch:		1

%description
This is an %{ap_name} Module (>=2.0.40) based on libxml2 (>=2.4.23)
and libxslt (>=1.0.19) used to parse XML content via XSLT

%prep

%setup -q -n mod-xslt
%patch0 -p0
cd doc
bzcat %{SOURCE2} > index.xml
bzcat %{SOURCE3} > index.xsl

%build

# this is a very ugly config

echo "#define MOD_XSLT_VERSION \"%{mod_version}\"" > src/config.h

cd src
mv mod-xslt.c mod_xslt.c
%{apxs} -c \
    `pkg-config --cflags --libs libxslt` \
    `pkg-config --cflags --libs libxml-2.0` \
    mod_xslt.c iotools.c logging.c urltools.c xsltools.c

# fix %%ADVXinstlib compat
mkdir -p ../.libs; mv .libs/%{mod_so} ../.libs/%{mod_so}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%ADVXinstlib
%ADVXinstconf %{SOURCE1} %{mod_conf}
%ADVXinstdoc %{name}-%{version}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%ADVXpost

%postun
%ADVXpost

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog INSTALL NEWS README THANKS doc/*
%config(noreplace) %{ap_confd}/%{mod_conf}
%{ap_extralibs}/%{mod_so}
%{ap_webdoc}/*

%changelog
* Tue Nov 11 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.48_1.0.0-0.2mdk
- rebuilt against new libxml2 and libxslt libs

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.48_1.0.0-0.1mdk
- built for apache 2.0.48

* Wed Sep 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_1.0.0-0.1mdk
- 1.0.0rc1 is never than 1.0.5a (!)
- fix explicit-lib-dependency

* Sat May 31 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.46_1.0.5a-1mdk
- rebuilt for apache v2.0.46
- buildprereq ADVX-build >= 9.2

* Tue Apr 29 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.45_1.0.5a-2mdk
- new S1

* Tue Apr 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.45_1.0.5a-1mdk
- cosmetic rebuild for apache v2.0.45 

* Mon Mar 03 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.44_1.0.5a-3mdk
- Fix index.xml and config file

* Mon Mar 03 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.44_1.0.5a-2mdk
- rebuilt against latest buildrequires
- misc spec file fixes

* Tue Jan 21 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.44_1.0.5a-1mdk
- rebuilt for apache v2.0.44

* Mon Jan 20 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_1.0.5a-5mdk
- fix buildrequires apache2-devel >= 2.0.43-5mdk, as 
  pointed out by Olivier Thauvin

* Sat Jan 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_1.0.5a-4mdk
- rebuilt against rebuilt buildrequires

* Tue Jan 14 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_1.0.5a-3mdk
- build against latest BuildRequires

* Mon Jan 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_1.0.5a-2mdk
- Rebuilt with the new apache-devel that uses /usr/sbin/apxs2 and
  /usr/include/apache2

* Mon Nov 04 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_1.0.5a-1mdk
- thanks to Frederic Crozat for the corrections and hint to use "pkg-config"
- initial cooker contrib
